#ifndef PPOPMENU_H
#define PPOPMENU_H

class PPopupMenu;

#include <tqpopupmenu.h>
#include "pobject.h"
#include "pmessage.h"

#include "ptablevw.h"
#include "pmenudta.h"

class PPopupMenu : public PFrame
{
  TQ_OBJECT
  
public:
  static PObject *createWidget(CreateArgs &ca);

  PPopupMenu(PObject *child);
  virtual ~PPopupMenu();

  virtual void messageHandler(int fd, PukeMessage *pm);

  virtual void setWidget(TQObject *_menu);
  virtual TQPopupMenu *widget();

protected slots:
  void got_activated ( int itemId );

private:
  TQPopupMenu *menu;
  PMenuData *pmd;

};

#endif
